Update a Locale - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a Locale
PATCH
/v2.0/locales/{localeId}
Try it
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/locales/{localeId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data ' \
{
"name": "English",
"primary": true,
"nluLanguage": "en-US",
"fallbackLocaleReference": "<string>"
}
'```
#### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}"
payload = {
"name": "English",
"primary": True,
"nluLanguage": "en-US",
"fallbackLocaleReference": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'English',
primary: true,
nluLanguage: 'en-US',
fallbackLocaleReference: '<string>'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'English',
'primary' => true,
'nluLanguage' => 'en-US',
'fallbackLocaleReference' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Response Codes
| Code | Description |
|---|---|
| 200 | Successful request to update locale |
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Internal Server Error |
Response Example
{
"name": "English",
"primary": true,
"nluLanguage": "en-US",
"fallbackLocaleReference": "<string>",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
Authorizations
API Key
X-API-Key: string- Required in the header
Headers
Accept(enum) specifies the media type for response. Options: application/json,application/xml, etc.
Path Parameters
localeId(string): Required unique identifier for Locale (24 chars).
Body Parameters
name(string): Name of the Locale (Example: "English").primary(boolean): If true, the Locale is primary.nluLanguage(enum): BCP 47 language tag (e.g., "en-US"). fallbackLocaleReference(string): Unique identifier for fallback Locale (24 chars).